/*
  Created by: Luka Theisen
  
  Upload some pages to your ESP.
  After that, upload this sketch.
  
  Notes:
    There can be only one index file for each "folder"
    Index files should be called "index" with the corresponding ending for the file type
  
  This example can be used when needing "action" pages, as example:
    Printing "Hello World" to the Serial monitor when visiting the "/hello_world/" link.
*/

#include <CaptivePortalSpiffsServer.h>

WebServer server(80);

void setup() {
  server.on("/hello_world/", [] {
    Serial.println("Hello World");
    server.send(200);
  });
  
  CaptivePortalSpiffsServer::init(&server);
  
  //                               HOST NAME   SSID    Password
  CaptivePortalSpiffsServer::begin("cpss.lu", "CPSS", "12345678");
}

void loop() {
  CaptivePortalSpiffsServer::loop();
}
